Support » Plugin: WP Translitera » PHP 8 Fatal error

Viewing 3 replies - 1 through 3 (of 3 total)
  • mikhailpower

    (@mikhailpopwer)

    Да плагин не поддерживает PHP 8. Сайт зависает с ошибкой если установлен плагин и перейти на версию PHP 8. если возможно то поправьте в обновлении.

    Thread Starter Airat Halitov🔥

    (@airathalitov)

    @mikhailpopwer
    Обновления я пока не дождался, поэтому привёл решение выше.

    Строку 124 в файле wp-translitera.php:
    $tr_rules[strtoupper($key)] = strtoupper($value{0}).substr($value, 1);

    исправить на:
    $tr_rules[strtoupper($key)] = strtoupper($value[0]).substr($value, 1);

    то есть достаточно поправить скобочки, и всё будет работать.

    У меня плагин хоть и работал, но эту ошибку исправил. Спасибо.

Viewing 3 replies - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.